package nl.ivojonker.icm.widgets;
import java.util.Locale;
import com.ibm.ecm.extension.Plugin;
import com.ibm.ecm.extension.PluginAction;
/**
 * Casebuilder widget that applies custom css to layout elements or pages.
 *
 * Licensed under MIT (license.txt).
 * 
 * @author ivojonker.nl
 */
public class ICMCSSAdapterPlugin extends Plugin {

	@Override
	public String getId() {
		return "ICMCSSAdapterPlugin";
	}

	@Override
	public String getName(Locale arg0) {
		return "ICM CSS Adapter";
	}

	@Override
	public String getVersion() {
		return "1.0.0";
	}

	@Override
	public String getCopyright() {
		return "ivojonker.nl / MIT licensed";
	}
	
	@Override
	public PluginAction[] getActions() {
		return new PluginAction[] {};
	}

	@Override
	public String getScript() {
		return "ICMCSSAdapterPlugin.js";
	}

	@Override
	public String getDojoModule() {
		return "ICMCSSAdapter";
	}

	@Override
	public String getCSSFileName() {
		return "ICMCSSAdapterPlugin.css";
	}

}
